window.addEventListener('DOMContentLoaded', () => {
    setIDSforSlides();
})

window.addEventListener('DOMContentLoaded', () => {
    showAllCAt();
    showallthis()
})

function setIDSforSlides() {
    var liczba = 0;
    document.querySelectorAll('.aktualno .jt-cs .slide').forEach(is => {
        liczba++;
        is.id = 'sli' + liczba;
    })
}

function showAllCAt() {
    var stos = document.querySelector('.aktualno .jt-inner');

    document.querySelectorAll('.aktualno .cat-link').forEach(links => {
        var id = links.parentNode.parentNode.parentNode.id;
        console.log('id' + id);
        var war = document.querySelector('#' + id + ' .jtc_introdate').innerHTML.replace('<br>', '');
        document.querySelector('#' + id + ' .cat-link').innerHTML = document.querySelector('#' + id + ' .cat-link').innerHTML + '<div class="myFlix1">' + war + '</div>';

    })
   


}

function showallthis() {
    var liczbax=0;
    document.querySelectorAll('.aktualno .jt-cs .slide .jt-inner').forEach(redd => {
        liczbax++;
        redd.innerHTML=redd.innerHTML+'<div class="mback" id="mli'+liczbax+'"></div>';
    })



    document.querySelectorAll('.aktualno .jt-cs .slide').forEach(iss => {

     iss.addEventListener('mouseover', () => {
        document.querySelector('#'+iss.id+'  .jt-title').style.setProperty('display','block');
        document.querySelector('#'+iss.id+' .jt-author').style.setProperty('display','block','important');
        document.querySelector(' #'+iss.id+' .jt-introtext').style.setProperty('display','block');
        document.querySelector(' #'+iss.id+' .readmore').style.setProperty('display','block');
       
        document.querySelector('#'+iss.id+' .jt-date').style.setProperty('display','block');
        document.querySelector('#'+iss.id+' .jt-category').style.setProperty('display','none');
        document.querySelector('#'+iss.id+' .mback').classList.add('klasx');
        
     })








     iss.addEventListener('mouseout', () => {
        document.querySelector('#'+iss.id+'  .jt-title').style.removeProperty('display');
        document.querySelector('#'+iss.id+' .jt-author').style.removeProperty('display');
        document.querySelector(' #'+iss.id+' .jt-introtext').style.removeProperty('display');
        document.querySelector(' #'+iss.id+' .readmore').style.removeProperty('display');
       
        document.querySelector('#'+iss.id+' .jt-date').style.removeProperty('display');
        document.querySelector('#'+iss.id+' .jt-category').style.removeProperty('display');
        document.querySelector('#'+iss.id+' .mback').classList.remove('klasx');
        
     })

    })


    
}